#pragma once
#ifndef APP_H
#define APP_H

#include "dojo/dojo.h"
#include "GUIApp.h"
#include "GUIPackage.h"

using namespace dojo;

class App : public DApp {
public:

    virtual void main();

    virtual void loadScene();

public:

    class Demo*         applet;

    App(const GAppSettings& settings, GWindow* window = NULL, GUIPackage* p = NULL);
    ~App();
};

#endif